pat_trie_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_NODE_VALID(X)
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_PAT_TRIE_NAME
#define | PB_DS_PAT_TRIE_TRAITS_BASE
#define | PB_DS_RECURSIVE_COUNT_LEAFS(X)

## Detailed Description

Contains an implementation class for a patricia tree.

Definition in file pat_trie_.hpp.